graph.tasks

## Class DirectedGraphTasks

- java.lang.Object
- - graph.tasks.GraphTasks
  - - graph.tasks.DirectedGraphTasks

-     public class DirectedGraphTasks
      extends GraphTasks

  Úlohy na orientovaných grafech.

  Popis: Na orientovaných grafech hledáme topologické uspořádání.

  Užití: Instance této třídy lze používat v aplikacích.

- - ### Field Summary

    - ### Fields inherited from class graph.tasks.GraphTasks

      `graph, heapF, opCnt, seqF, sPath`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DirectedGraphTasks(DirectedGraph aGraph, ShortestPathFactory spf, HeapFactory hf, SequenceFactory seqf, StackFactory stf)` Vyrobí objekt na řešení úloh na orientovaných grafech.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Sequence` | `topologicalOrdering()` Topologické uspořádání.

    - ### Methods inherited from class graph.tasks.GraphTasks

      `getOperationCounter, shortestPath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DirectedGraphTasks

          public DirectedGraphTasks(DirectedGraph aGraph,
                                    ShortestPathFactory spf,
                                    HeapFactory hf,
                                    SequenceFactory seqf,
                                    StackFactory stf)

      Vyrobí objekt na řešení úloh na orientovaných grafech.
      Parameters:
        `aGraph` - graf, na kterém se mají řešit úlohy
        `spf` - továrna na objekty, které hledají nejkratší cestu
        `hf` - továrna na haldy, které se použijí jako prioritní fronty
        `seqf` - továrna na posloupnosti, které slouží jako výsledky úloh
        `stf` - továrna na zásobníky, nejjednodušší kolekce objektů

  - ### Method Detail

    - #### topologicalOrdering

          public Sequence topologicalOrdering()

      Topologické uspořádání. Uspořádá vrcholy orientovaného grafu do posloupnosti.
      Returns:
        posloupnost topologicky uspořádaných vrcholů orientovaného grafu